---
title: "POST /_system/node_settings - Node Settings · RUAL Documentation"
description: "POST: Update node configuration settings and broadcast changes to cluster"
canonical: https://docs.rual.nl/cluster/api/node-settings/system-node-settings-post
language: en
---

# POST /_system/node_settings

Update node configuration settings and broadcast changes to cluster

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **settings** required | `object` | `{ "order_guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc", "retries": 0 }` | Settings to update (only allowed keys will be processed) |

```
{}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `node_settings_create` | Required scope: node_settings_create |
